<!DOCTYPE html>
<html>
<head>
    <title>Sine/A2</title>
    <style>
    body{
      padding: 0;
      /* No scrollbar if some of the menu is outside of the screen. */
      overflow: hidden;
      }

      /* The CSS for the menu (the big transparent circle behind the smaller circles). */
      #theMenu {
          border-radius: 300px;
          width: 300px;
          height: 300px;
          position: absolute;
          /* By doing this the mouse will be in the middle of the circle. */
          transform:translate(-50%,-50%);
          z-index: -1;
      }

      /* The CSS for the menuItems (the circles) */
    .menuItem{
      position: absolute;
      height: 40px;
      width: 40px;
      border-radius: 50%;
      border: 2px solid #98a371;
      text-align: center;
      line-height: 40px;
      cursor: pointer;
      background-color: #e1ebbe;
      font-family: Arial;
      font-weight: bold;
      color: #98a371;
      transition: 0.2s;
      }

      /* Here you see what will happen if you hover over the circles with your mouse. */
      div.menuItem:hover {
        background-color: #b7c28f;
        line-height: 50px;
        font-size: 157%;
        height: 50px;
        width: 50px;
        color: #e1ebbe;
      }
    </style>
</head>
<body>
  <!-- The bigger circle is the first div and then the smaller circles are the following divs under the first div.
        That means I'll only need to make the bigger circle show up on click as the the smaller circles are attached to the bigger circle. -->
  <div id="theMenu" style="display:none">
      <div class="menuItem itemOne" style="top:25px;left:150px">1</div>
      <div class="menuItem" style="top:64px;left:241px">2</div>
      <div class="menuItem" style="top:150px;left:276px">3</div>
      <div class="menuItem" style="top:239px;left:239px">4</div>
      <div class="menuItem" style="top:275px;left:150px">5</div>
      <div class="menuItem" style="top:241px;left:64px">6</div>
      <div class="menuItem" style="top:150px;left:25px">7</div>
      <div class="menuItem" style="top:62px;left:62px">8</div>
  </div>
  <script>
    //This part of the code makes the menu (the big circle) follow the mouse position (so the circle is where the mouse is).
    document.addEventListener('click', function(showMenu) {
      let body = document.querySelector('body');
      let theMenu = document.getElementById('theMenu');
      let left = showMenu.pageX;
      let top = showMenu.pageY;
      theMenu.style.left = left + 'px';
      theMenu.style.top = top + 'px';
    });

    //This function is added so that when you click the menu will show.
        //The way it is set up is that when you first load the page it will display no menu, but then this if/else statement is blocking that "display:none" 'setting'.
    document.onclick = function() {
      let theMenu = document.getElementById("theMenu")

      if (theMenu.style.display == "block") {
            theMenu.style.display = "none"
      } else {
            theMenu.style.display = "block"
      }
    }

    //A for loop is set up so that you can access each of the elements individually.
        //This part of the code lets you know (in the console.log) that x element has been selected.
    let divs = document.querySelectorAll(".menuItem")

    for (let index = 0; index < divs.length; index++) {
        let element = divs[index];

        //An onclick event handler has been attached to each "menuItem"
        element.onclick = function(mouseEvent) {
            console.log("Item " + element.textContent + " has been clicked")

            //We need the stop the propagation of the event so the onclick of the document is not triggered.
                //This is done so that we aren't ALSO doing the onclick function applied to the menu as well.
                    // - If this wasn't applied then the menu would disappear when you try to click one of the menu items.
                      //You can always look up "stopPropagation" on google and find an example if you need to re-remember it. :)
            mouseEvent.stopPropagation()
        }
    }
  </script>
</body>
</html>
